interface IColumnHeader {
  Header: string;
  accessor: string | ((row: any) => string);
  Cell?: (row: any) => JSX.Element;
}

type Columns = IColumnHeader[];

export const columnsDataAssignments: Columns = [
  {
    Header: "Assignment ID",
    accessor: "id",
  },
  {
    Header: "Due Date",
    accessor: "due_date",
    Cell: ({ value }) => <span>{value ?? "N/A"}</span>,
  },
  {
    Header: "Assigned Date",
    accessor: "created_at",
    Cell: ({ value }: { value: string }) => <span>{value ? new Date(value).toLocaleDateString() : "N/A"}</span>,
  },
  {
    Header: "Assigned To",
    accessor: "assigned_to",
    Cell: ({ value }: { value: { first_name: string; last_name: string } }) =>
      <span>{value ? `${value.first_name} ${value.last_name || ""}`.trim() : "N/A"}</span>,
  },
  {
    Header: "IBC",
    accessor: "case.ibc.area_name",
    Cell: ({ value }: { value: string }) => <span>{value || "N/A"}</span>,
  },
  {
    Header: "Batch Name",
    accessor: "batch.name",
    Cell: ({ value }: { value: number }) => <span>{value ? `${value}` : "N/A"}</span>,
  },
];
